import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useContext } from "react";
import { defaultEmojiRegistry } from "./emoji-data";
const EmojiRegistryContext = createContext(defaultEmojiRegistry);
export function EmojiProvider({ children, registry }) {
    return (_jsx(EmojiRegistryContext, { value: registry, children: children }));
}
export function useEmojiRegistry(registry) {
    const contextualRegistry = useContext(EmojiRegistryContext);
    return registry ?? contextualRegistry;
}
